/*------------------------------------------------
--                 LAZZE-GETOBZ                 --
--------------------------------------------------
-- Filename      : main.c
-- Description   : The LAZZE-GETOBZ robot
--                 
--
-- Author        : Lars Englund
--                 d99las@dtek.chalmers.se
--
--                 Tobias Gedell
--                 d99getob@dtek.chalmers.se
--
-- Created       : 020831
-- Last update   : 020902
------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <ncurses.h>

#include "error.h"
#include "network.h"
#include "game.h"
#include "gdebug.h"
#include "robot.h"

char splashText[]="LAZZE-GETOBZ\n------------\nSyntax: robot hostname port\n";

int main(int argc, char **argv)
{
    int ggr;

    if(argc!=3)
    {
        printf("%s\n", splashText);
        return -1;
    }
    

    #ifdef GDEBUG
    initGDebug();
    #endif

    connectToServer(argv[1], atoi(argv[2]));

    sendInit();
    

    #ifdef DEBUG
    printf("Game started\n");
    #endif

    for(;;)
    {
        moveCount++;

        #ifdef DEBUG
        printf("---- Move %d -----------------\n\n", moveCount);
        #endif
        
        #ifdef GDEBUG
        DrawScreens();
        #endif

        
        #ifdef DEBUG
        printf("Getting packets\n");
        #endif
        getPackets();

        #ifdef DEBUG
        printf("Making move\n");
        #endif
        makeMove(robotX, robotY);

        #ifdef DEBUG
        printf("Getting reply\n");
        #endif
        getReply();

        removeDeadPlayers();
    }
    
    disconnectFromServer();
    
    return 0;
}
