/*------------------------------------------------
--                 LAZZE-GETOBZ                 --
--------------------------------------------------
-- Filename      : map.h
-- Description   : Map data handling
--                 
--
-- Author        : Lars Englund
--                 d99las@dtek.chalmers.se
--
--                 Tobias Gedell
--                 d99getob@dtek.chalmers.se
--
-- Created       : 020831
-- Last update   : 020902
------------------------------------------------*/


#ifndef MAP_H
#define MAP_H

extern int mapWidth;
extern int mapHeight;

void allocMaps( int x, int y );

void clearMoveMap();
void clearVisitMap();
void clearScoreMap();

void freeMaps();


char getGamePoint( int x, int y );
void putGamePoint( int x, int y, char point );

char getMapPoint( int x, int y );
void putMapPoint( int x, int y, char point );

char getMovePoint( int x, int y );
void putMovePoint( int x, int y, char point );

int getDistPoint( int x, int y );
void putDistPoint( int x, int y, int point );

unsigned char getVisitPoint( int x, int y );
void putVisitPoint( int x, int y, unsigned char point );
void incVisitPoint(int x, int y);
void decVisitPoint(int x, int y);

int getScorePoint( int x, int y );
void putScorePoint( int x, int y, int point );

int getPacketPoint( int x, int y );
void putPacketPoint( int x, int y, int point );
void incPacketPoint(int x, int y);
void decPacketPoint(int x, int y);

char getDestPoint( int x, int y );
void putDestPoint( int x, int y, char point );

#endif
